/*
Theme Name: Sao Kim Digital
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Sao Kim Digital
Author URI: https://elementor.com/
Template: hello-elementor
Version: 1.0.0
Text Domain: saokimdigital
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

.progress-wrap {
  position: fixed;
  right: 30px;
  bottom: 30px;
  height: 46px;
  width: 46px;
  cursor: pointer;
  display: block;
  border-radius: 50px;
  box-shadow: inset 0 0 0 2px rgba(0, 0, 0, 0.1);
  z-index: 10;
  opacity: 0;
  visibility: hidden;
  transform: translateY(15px);
  -webkit-transition: all 200ms linear;
  transition: all 200ms linear;
}

.progress-wrap.active-progress {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
}

.progress-wrap::after {
  content: '';
  position: absolute;
  background-image: url("assets/images/arrow_bottom.svg");
  background-position: center;
  background-repeat: no-repeat;
  background-size: auto;
  text-align: center;
  line-height: 46px;
  font-size: 24px;
  color: hsla(7, 100%, 25%, 1);
  left: 0;
  top: 0;
  height: 46px;
  width: 46px;
  cursor: pointer;
  display: block;
  z-index: 1;
  -webkit-transition: all 200ms linear;
  transition: all 200ms linear;
  transform: rotate(180deg);
}

.progress-wrap:hover::before {
  opacity: 1;
}

.progress-wrap svg path {
  fill: none;
}

.progress-wrap svg.progress-circle path {
  stroke: hsla(7, 100%, 25%, 1);
  /* --- Lijn progres kleur --- */
  stroke-width: 4;
  box-sizing: border-box;
  -webkit-transition: all 200ms linear;
  transition: all 200ms linear;
}

.filter-btn {
  cursor: pointer;
}

.filter-wrapper {
  max-height: 0;
  opacity: 0;
  overflow: hidden;
  pointer-events: none;
  transition: max-height 0.4s ease, opacity 0.3s ease;
}

.filter-wrapper.active {
  max-height: 500px;
  opacity: 1;
  pointer-events: auto;
}

.cflow-wrap {
  overflow: hidden;
}

.cflow-swiper {
  width: 100%;
}

.cflow-swiper .swiper-wrapper {
  align-items: center;
}

/* Kích thước slide (slidesPerView:'auto' dùng width này) */
.cflow-swiper .swiper-slide {
  width: 280px;
  height: 420px;
}

@media (min-width:768px) {
  .cflow-swiper .swiper-slide {
    width: 320px;
    height: 480px;
  }
}

@media (min-width:1200px) {

  /* Desktop: để Swiper tự tính width theo slidesPerView=5 */
  .cflow-swiper .swiper-slide {
    width: 350px;
    height: 520px;
  }
}


/* Card */
.cflow-card {
  position: relative;
  width: 100%;
  height: 100%;
  overflow: hidden;
  background: #111;
  box-shadow: 0 10px 30px rgba(0, 0, 0, .6);
}

.cflow-card img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
  aspect-ratio: 400/602;
  transition: all .3s linear;
}

.cflow-card:hover img {
  transform: scale(1.15);
}

.cflow-card {
  position: relative;
  display: inline-block;
  overflow: hidden;
}

.cflow-card img {
  display: block;
  width: 100%;
  height: auto;
}

.cflow-card::after {
  content: "";
  position: absolute;
  inset: 0;
  background: linear-gradient(180deg,
      rgba(0, 0, 0, 0) 36%,
      rgba(0, 0, 0, 0.5) 100%);
}

/* Caption */
.cflow-caption {
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  color: #fff;
  padding: 24px;
  pointer-events: none;
  z-index: 1;
}

.cflow-title {
  color: #FFF;
  font-size: 28px;
  font-style: normal;
  line-height: normal;
}

.cflow-desc {
  color: var(--color-neutral-black-white-white, #FFF);
  font-family: "Mona Sans";
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 25px;
  /* 156.25% */
  letter-spacing: 0.32px;
  margin: 0px;
}

/* Chỉ làm caption nổi bật ở slide active */
.cflow-caption {
  opacity: 0;
  transition: opacity .25s ease;
}

.swiper-slide-active .cflow-caption {
  opacity: 1;
}

/* Arrows */
.cflow-nav {
  position: absolute;
  top: 50%;
  width: 58px;
  height: 58px;
  margin-top: -19px;
  border: 0;
  background: rgba(204, 204, 204, 0.20);
  opacity: .9;
  z-index: 3;
  cursor: pointer;
}

.cflow-nav:hover {
  background: #545050;
}

.cflow-nav:focus {
  background: #545050;
}

.cflow-prev {
  left: 20px;
}

.cflow-next {
  right: 20px;
}

.cflow-nav::before {
  content: '';
  position: absolute;
  inset: 0;
  margin: auto;
  width: 15px;
  height: 15px;
  border-top: 2px solid #fff;
  border-right: 2px solid #fff;
  transform: rotate(45deg);
}

.cflow-next:before {
  margin-right: 24px;
}

.cflow-prev::before {
  transform: rotate(225deg);
  margin-left: 24px;
}

.cflow-pagination {
  position: relative;
  margin-top: 26px;
}

/* Desktop: chỉ show 5 card (active ±2) */
@media (min-width:1200px) {
  .cflow-swiper .swiper-slide {
    opacity: 0;
    pointer-events: none;
    transition: opacity .25s ease;
  }

  .cflow-swiper .swiper-slide.in-range {
    opacity: 1;
    pointer-events: auto;
  }
}

@media screen and (max-width: 767px) {
  .cflow-title {
    font-size: 22px !important;
  }

  .cflow-desc {
    color: var(--color-neutral-black-white-white, #FFF);
    font-size: 14px;
    line-height: 18px !important;
  }
}

@media screen and (max-width: 967px) {
  .cflow-title {
    font-size: 26px !important;
  }

  .cflow-desc {
    color: var(--color-neutral-black-white-white, #FFF);
    font-size: 16px;
    line-height: 20px !important;
  }

  .color-dot {
    width: 20px !important;
    height: 20px !important;
    margin-right: 8px !important;
  }
}

.color-dot {
  display: inline-block;
  width: 24px;
  height: 24px;
  border-radius: 50%;
  margin-right: 11px;
  cursor: pointer;
  transition: transform 0.2s;
}

.color-dot:hover {
  transform: scale(1.15);
}


.cards-container {
  position: relative;
  height: 100vh;
  /* viewport height */
  overflow: hidden;
}

.pnlm-panorama-info {
  display: none !important;
}

.color-slider-wrap {
  position: relative;
}

.color-slider {
  padding: 20px 0;
}


.color-item {
  text-align: center;
}



.color-name {
  margin: 10px 0px 0px 0px;
  color: #000;
  font-family: "Mona Sans", Sans-serif;
  font-size: 16px;
  font-style: normal;
  font-weight: 500;
  line-height: normal;
}

.color-code {
  margin: 10px 0px 10px 0px;
}

.color-code,
.color-size {
  font-size: 14px;
  color: #5c5c5c;
  font-weight: 400;
  font-family: "Mona Sans", Sans-serif;
  margin: 0px;
}

.color-slider-wrap {
  position: relative;
}

.color-slider {
  position: relative;
}

.color-slider:not(.swiper-initialized) .swiper-slide {
  width: auto !important;
}

.color-slider:not(.swiper-initialized) .swiper-wrapper {
  display: flex;
  justify-content: center;
  gap: 20px;
}

.swiper-button-prev,
.swiper-button-next {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  z-index: 10;
  display: flex;
  align-items: center;
  justify-content: center;
}

.color-item {
  position: relative;
}

.color-item .swiper-button-prev,
.color-item .swiper-button-next {
  top: 50%;
  transform: translateY(-50%);

}

.swiper-button-next {
  right: 40px;
  padding: 25px 25px 25px 27px;
  background-color: var(--e-global-color-secondary);
  border-radius: 5px;
}

.swiper-button-prev {
  left: 40px;
  padding: 25px 25px 25px 25px;
  background-color: var(--e-global-color-secondary);
  border-radius: 5px;
}

.swiper-button-next:after,
.swiper-button-prev:after {
  font-size: 18px !important;
  -webkit-filter: brightness(0) invert(1);
}


/* Khi có ít hơn 4 hình thì không chạy swiper */
.color-slider.no-swiper {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  gap: 40px;
}

.color-slider.no-swiper .swiper-wrapper {
  display: flex !important;
  justify-content: center;
  align-items: flex-start;
  gap: 40px;
}

.color-slider.no-swiper .swiper-slide {
  flex: 0 0 auto;
  width: auto !important;
  text-align: center;
}

.color-img img {
  width: 100% !important;
  object-fit: cover;
  border-radius: 12px !important;
  aspect-ratio: 1/2;
}

/* Giữ kích thước ảnh gốc, không kéo giãn full width */
.color-slider.no-swiper .color-img img {
  width: 280px !important;
  height: 560px;
  max-width: none !important;
  display: block;
  margin: 0 auto;
  object-fit: cover;
  border-radius: 12px !important;
}

.brands-wrapper {
  position: relative;
  width: 100%;
  display: flex;
  flex-flow: wrap;
  gap: 30px;
}

.brand-section {
  position: sticky;
  top: 0;
  width: 100%;
  overflow: hidden;
}

.brand-bg img {
  width: 100%;
  height: 800px !important;
  display: block;
  object-fit: cover;
}

/* Box thông tin */
.brand-info-box {
  position: absolute;
  top: 50%;
  right: 24px;
  transform: translateY(-50%);
  width: 505px;
  background: #fff;
  padding: 60px 40px;
}

.brand-info-box img.logo {
  max-width: 250px;
  margin-bottom: 15px;
  object-fit: cover;
}

.brand-info-box .desc {
  margin-bottom: 60px;
  color: #000;
  font-family: "Mona Sans";
  font-size: 20px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
}

.brand-info-box .detail {
  color: var(--Color-Neutral-Grey-G5, #595959);
  font-family: "Mona Sans";
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 25px;
  letter-spacing: 0.32px;
}

.brand-section:first-child {
  margin-top: 0;
}

@media screen and (max-width: 1550px) {
  .brand-info-box {
    width: 550px;
    padding: 60px 40px;
  }

  .brand-info-box .desc {
    margin-bottom: 60px;
  }
}

@media screen and (max-width: 967px) {
  .brand-info-box .desc {
    margin-bottom: 30px;
  }

  .brand-info-box {
    padding: 40px 30px;
    width: auto !important;
    right: 20px;
    left: 20px;
    top: auto;
    transform: none;
    bottom: 20px;
  }

  .brand-info-box img.logo {
    max-width: 180px;
    margin-bottom: 5px;
  }

  .brand-bg img {
    height: 600px !important;
  }
}

@media screen and (max-width: 767px) {
  .brand-info-box .detail {
    font-size: 14px;
  }

  .brand-bg img {
    height: 240px !important;
  }

  .brand-info-box img.logo {
    max-width: 150px;
  }

  .brand-info-box .desc {
    font-size: 16px;
  }

  .brand-info-box {
    width: 100%;
    right: 0;
    padding: 20px 10px;
    position: static;
    transform: none;
    top: 0;
  }

  .brand-info-box .desc {
    margin-bottom: 0px;
  }
}


.brand-list {
  gap: 50px;
  max-width: 1680px;
  margin: 0 auto;
  margin-bottom: 243px;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 20px;

}



.brand-item {
  width: 100%;
  position: relative;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  aspect-ratio: 1 / 1;
  object-fit: cover;
}

.brand-item::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-image: url("assets/images/khung-thuong-hieu.svg");
  background-size: 100% 100%;
  background-repeat: no-repeat;
  background-position: center;
  z-index: 999;
  pointer-events: none;
}

.brand-item::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-image: url("assets/images/to-dam-th.svg");
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  opacity: 0;
  transition: opacity 0.25s ease;
  z-index: 2;
  pointer-events: none;
}

.brand-item:hover::after,
.brand-item.active-focus::after {
  opacity: 1;
}

.brand-logo {
  position: relative;
  padding: 0px 46px;
  z-index: 5;
}

.brand-logo img {
  width: 100%;
  height: 80px !important;
  object-fit: cover;
}

.brand-arrow {
  position: absolute;
  left: 50%;
  bottom: 20px;
  transform: translate(-50%, -15px);
  opacity: 0;
  transition: 0.35s ease;
  z-index: 3;
}

.brand-item:hover .brand-arrow,
.brand-item.active-focus .brand-arrow {
  transform: translate(-50%, 0);
  opacity: 1;
}

.brand-item .elementor-icon {
  opacity: 0;
  transform: translateY(-20px);
  transition: 0.4s ease;
}

.brand-item:hover .elementor-icon,
.brand-item.active-focus .elementor-icon {
  opacity: 1;
  transform: translateY(0);
}



.brand-content {
  display: flex;
}

.brand-content.hidden {
  display: none !important;
}

.brand-content.active {
  display: flex !important;
}

.brand-col-left {
  width: 40%;
  overflow: hidden;
}

.brand-col-right {
  width: 60%;
  background: #FAF7F0;
  padding-top: 104px;
  padding-left: 101px;
  padding-right: calc(((100% - var(--content-width)) / 2));
}


.brand-col-left img {
  width: 100%;
  height: 860px !important;
  object-fit: cover;
  transition: transform 0.6s ease;
}

.brand-col-left img:hover {
  transform: scale(1.1);
}

.brand-content-logo img {
  width: 200px;
  margin-bottom: 32px;
}


.acc-item {
  margin-bottom: 35px;
}

.acc-title {
  color: var(--Color-Neutral-Grey-G6, #2A2A2A);
  font-family: "Beautique Display";
  font-size: 24px;
  font-style: normal;
  font-weight: 500;
  line-height: normal;
  margin-bottom: 16px;
  position: relative;
  cursor: pointer;
}

.acc-title::after {
  content: "";
  position: absolute;
  right: 0;
  top: 50%;
  transform: translateY(-50%);
  width: 24px;
  height: 24px;
  cursor: pointer;
  background-image: url("assets/images/arrow-down.svg");
  background-size: contain;
  background-repeat: no-repeat;
}

.acc-title.open::after {
  background-image: url("assets/images/arrow-up-right.svg");
  cursor: pointer
}

.acc-content {
  display: none;
  color: var(--Color-Neutral-Grey-G5, #595959);
  font-family: "Mona Sans";
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 25px;
  letter-spacing: 0.32px;
}

@media screen and (max-width: 1550px) {
  .brand-col-left {
    width: 50%;
  }

  .brand-col-right {
    width: 50%;
    padding: 60px 60px 0px 60px;
  }

  .brand-list {
    gap: 20px;
    max-width: 100% !important;
    margin: 0px 60px 200px 60px;
    justify-content: center;
  }

  .brand-logo img {
    height: 60px !important;
  }

  .brand-item {
    width: 100%;
  }
}

@media screen and (max-width: 967px) {
  .brand-list {
    display: grid;
    gap: 20px;
    max-width: 100% !important;
    margin: 0px 25px 150px 25px;
    justify-content: space-between;
    grid-template-columns: repeat(2, 1fr);
  }

  .brand-content.active {
    display: block !important;
  }

  .brand-content-logo img {
    width: 200px;
    margin-bottom: 25px;
  }

  .brand-logo img {
    height: auto !important;
  }

  .brand-col-left {
    width: 100%;
  }

  .brand-col-left img {
    height: 600px !important;
  }

  .brand-col-right {
    width: 100%;
    padding: 40px 25px;
    margin-top: -5px;
  }

  .acc-title {
    font-size: 22px;
  }

}

@media screen and (max-width: 767px) {
  .brand-col-left img {
    height: 300px !important;
  }

  .brand-col-right {
    width: 100%;
    padding: 30px 16px;
  }

  .brand-content-logo img {
    width: 150px;
    margin-bottom: 20px;
  }

  .acc-title {
    font-size: 17px;
  }

  .acc-content {
    font-size: 14px;
    line-height: 22px;
  }

  .brand-list {
    margin: 0px 16px 100px 16px;
    gap: 20px 10px;
  }

  .brand-logo {
    padding: 0px 30px;
  }

  .brand-arrow svg {
    height: 20px;

  }

  .brand-arrow {
    bottom: 5px;
  }
}



.brand-collection-slider {
  width: 100%;
}


.collection-item {
  overflow: hidden;
  transition: all 0.3s ease;
}


.collection-item:hover {
  transform: translateY(-4px);
}


.brand-collection-slider .collection-image {
  overflow: hidden;
}


.brand-collection-slider .collection-image img {
  width: 100%;
  height: 602px !important;
  object-fit: cover;
  display: block;
  transition: transform 0.45s ease;
  transform: scale(1);
}

.collection-item:hover .collection-image img {
  transform: scale(1.1);
}

.collection-meta {
  padding-top: 24px;
}

.collection-meta .brand-name {
  color: var(--Color-Neutral-Grey-G5, #595959);
  font-family: "Mona Sans";
  font-size: 15px;
  font-style: normal;
  font-weight: 500;
  line-height: 25px;
  letter-spacing: 0.3px;
  margin: 0px;
}

.collection-meta .cat-name {
  color: var(--color-neutral-black-white-black, #0D0D0D);
  font-family: "Mona Sans";
  font-size: 30px;
  font-style: normal;
  font-weight: 500;
  line-height: normal;
  letter-spacing: 0.6px;
}

.collection-meta .cat-name:hover {
  color: #821000;
}

.collection-link {
  text-decoration: none !important;
  color: inherit;
  display: block;
}

.brand-collection-slider .swiper-pagination {
  position: static !important;
  margin-top: 20px;
}

.brand-collection-slider .swiper-pagination-bullet {
  background: #821000;
  opacity: 0.25;
}

.brand-collection-slider .swiper-pagination-bullet-active {
  background: #821000;
  opacity: 1;
}

.brand-collection-slider .mobile-current {
  display: none;
}

@media screen and (max-width: 1550px) {
  .brand-collection-slider .collection-image img {
    height: 500px !important;
  }
}

@media screen and (max-width: 967px) {
  .brand-collection-slider .collection-image img {
    height: 400px !important;
  }

  .collection-meta .cat-name {
    font-size: 24px;
    margin: 0px;
  }

  .collection-meta {
    padding-top: 16px;
  }
}